org.apache.maven.usability.diagnostics

## Interface ErrorDiagnoser

- All Known Implementing Classes:
    ArtifactNotFoundDiagnoser, ArtifactResolverDiagnoser, InvalidArtifactDiagnoser, MojoExecutionExceptionDiagnoser, MojoFailureExceptionDiagnoser, PluginConfigurationDiagnoser, ProfileActivationDiagnoser, ProjectBuildDiagnoser

      public interface ErrorDiagnoser

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ROLE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canDiagnose(java.lang.Throwable error)`
    `java.lang.String` | `diagnose(java.lang.Throwable error)`

- - ### Field Detail

    - #### ROLE

          static final java.lang.String ROLE

  - ### Method Detail

    - #### canDiagnose

          boolean canDiagnose(java.lang.Throwable error)

    - #### diagnose

          java.lang.String diagnose(java.lang.Throwable error)